%define upstream_name    Starman
%define upstream_version 0.3000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Plack adapter for Starman
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Parser::XS)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(Net::Server) >= 0.910.0
BuildRequires: perl(Plack) >= 0.997.100
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP) >= 1.110.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Starman is a PSGI perl web server that has unique features such as:

* High Performance

  Uses the fast XS/C HTTP header parser

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/starman
/usr/share/man/man1/starman.1.xz

%changelog

* Thu Feb 23 2012 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 213183
- update to 0.3000

* Mon Sep 26 2011 jquelin <jquelin> 0.201.400-1.mga2
+ Revision: 148208
- update to 0.2014
- imported package perl-Starman


* Sat Aug 20 2011 cpan2dist 0.2013-1mga
- initial mageia release, generated with cpan2dist
